package com.fs.store.service;

import java.util.List;
import com.fs.store.domain.FsAppVersion;

/**
 * 安卓版本Service接口
 * 
 * @author fs
 * @date 2023-02-03
 */
public interface IFsAppVersionService 
{
    /**
     * 查询安卓版本
     * 
     * @param versionId 安卓版本ID
     * @return 安卓版本
     */
    public FsAppVersion selectFsAppVersionById(Long versionId);

    /**
     * 查询安卓版本列表
     * 
     * @param fsAppVersion 安卓版本
     * @return 安卓版本集合
     */
    public List<FsAppVersion> selectFsAppVersionList(FsAppVersion fsAppVersion);

    /**
     * 新增安卓版本
     * 
     * @param fsAppVersion 安卓版本
     * @return 结果
     */
    public int insertFsAppVersion(FsAppVersion fsAppVersion);

    /**
     * 修改安卓版本
     * 
     * @param fsAppVersion 安卓版本
     * @return 结果
     */
    public int updateFsAppVersion(FsAppVersion fsAppVersion);

    /**
     * 批量删除安卓版本
     * 
     * @param versionIds 需要删除的安卓版本ID
     * @return 结果
     */
    public int deleteFsAppVersionByIds(Long[] versionIds);

    /**
     * 删除安卓版本信息
     * 
     * @param versionId 安卓版本ID
     * @return 结果
     */
    public int deleteFsAppVersionById(Long versionId);

    FsAppVersion getAppVersion(String type);

    FsAppVersion getNewVersion(Integer appType, int i);
}
